package com.jeeplus.modules.projectSpecialistAssess.entity;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;

import java.util.Date;

/**
 * 专家评估报告entity
 * @author 徐滕
 * @version 2020-05-15
 */
public class ProjectSpecialistAssess extends DataEntity<ProjectSpecialistAssess> {
    private static final long serialVersionUID = 1L;
    private String companyId;		// 公司id
    private String officeId;		// 部门id
    private String officeName;		// 部门id
    private ProjectRecords project;		// 项目信息
    private String projectId;		// 项目id
    private String pNumber;		// 项目编号
    private String assessContent;//评估内容
    private Date assessDate;//评估时间
    private Integer status;     //是否调整报告(0：不调整，1：调整)
    private String projectMaster;	// 负责人
    private String projectName;    //项目名称
    private String reportName;     //报告名称
    private String reportId;     //报告id

    private Date beginDate;
    private Date endDate;

    public String getpNumber() {
        return pNumber;
    }

    public void setpNumber(String pNumber) {
        this.pNumber = pNumber;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public String getProjectMaster() {
        return projectMaster;
    }

    public void setProjectMaster(String projectMaster) {
        this.projectMaster = projectMaster;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }

    public ProjectRecords getProject() {
        return project;
    }

    public void setProject(ProjectRecords project) {
        this.project = project;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getAssessContent() {
        return assessContent;
    }

    public void setAssessContent(String assessContent) {
        this.assessContent = assessContent;
    }

    public Date getAssessDate() {
        return assessDate;
    }

    public void setAssessDate(Date assessDate) {
        this.assessDate = assessDate;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
